plugindescr.h File Reference
`#include <gwenhywfar/xml.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_PLUGIN_DESCRIPTION | GWEN_PLUGIN_DESCRIPTION

## Functions

GWENHYWFAR_API GWEN_PLUGIN_DESCRIPTION_LIST2 * | GWEN_LoadPluginDescrs (const char *path)
GWENHYWFAR_API int | GWEN_LoadPluginDescrsByType (const char *path, const char *type, GWEN_PLUGIN_DESCRIPTION_LIST2 *pdl)
GWENHYWFAR_API void | GWEN_PluginDescription_Attach (GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API GWEN_PLUGIN_DESCRIPTION * | GWEN_PluginDescription_dup (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API void | GWEN_PluginDescription_free (GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API GWEN_PLUGIN_DESCRIPTION * | GWEN_PluginDescription_fromXml (GWEN_XMLNODE *node)
GWENHYWFAR_API const char * | GWEN_PluginDescription_GetAuthor (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API const char * | GWEN_PluginDescription_GetFileName (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API const char * | GWEN_PluginDescription_GetLongDescr (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API GWEN_DEPRECATED int | GWEN_PluginDescription_GetLongDescrByFormat (const GWEN_PLUGIN_DESCRIPTION *pd, const char *s, GWEN_BUFFER *buf)
GWENHYWFAR_API const char * | GWEN_PluginDescription_GetName (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API const char * | GWEN_PluginDescription_GetPath (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API const char * | GWEN_PluginDescription_GetShortDescr (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API const char * | GWEN_PluginDescription_GetType (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API const char * | GWEN_PluginDescription_GetVersion (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API GWEN_XMLNODE * | GWEN_PluginDescription_GetXmlNode (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API int | GWEN_PluginDescription_IsActive (const GWEN_PLUGIN_DESCRIPTION *pd)
GWENHYWFAR_API void | GWEN_PluginDescription_List2_freeAll (GWEN_PLUGIN_DESCRIPTION_LIST2 *pdl)
GWENHYWFAR_API GWEN_PLUGIN_DESCRIPTION * | GWEN_PluginDescription_new (void)
GWENHYWFAR_API void | GWEN_PluginDescription_SetAuthor (GWEN_PLUGIN_DESCRIPTION *pd, const char *s)
GWENHYWFAR_API void | GWEN_PluginDescription_SetFileName (GWEN_PLUGIN_DESCRIPTION *pd, const char *s)
GWENHYWFAR_API void | GWEN_PluginDescription_SetIsActive (GWEN_PLUGIN_DESCRIPTION *pd, int i)
GWENHYWFAR_API void | GWEN_PluginDescription_SetLongDescr (GWEN_PLUGIN_DESCRIPTION *pd, const char *s)
GWENHYWFAR_API void | GWEN_PluginDescription_SetName (GWEN_PLUGIN_DESCRIPTION *pd, const char *s)
GWENHYWFAR_API void | GWEN_PluginDescription_SetPath (GWEN_PLUGIN_DESCRIPTION *pd, const char *s)
GWENHYWFAR_API void | GWEN_PluginDescription_SetShortDescr (GWEN_PLUGIN_DESCRIPTION *pd, const char *s)
GWENHYWFAR_API void | GWEN_PluginDescription_SetType (GWEN_PLUGIN_DESCRIPTION *pd, const char *s)
GWENHYWFAR_API void | GWEN_PluginDescription_SetVersion (GWEN_PLUGIN_DESCRIPTION *pd, const char *s)

## Typedef Documentation

## GWEN_PLUGIN_DESCRIPTION

typedef struct GWEN_PLUGIN_DESCRIPTION GWEN_PLUGIN_DESCRIPTION

Definition at line 38 of file plugindescr.h.

## Function Documentation

## GWEN_LoadPluginDescrs()

GWENHYWFAR_API GWEN_PLUGIN_DESCRIPTION_LIST2 * GWEN_LoadPluginDescrs | ( | const char * | path | ) |

References GWEN_LoadPluginDescrs(), and GWENHYWFAR_API.

Referenced by GWEN_LoadPluginDescrs().

## GWEN_LoadPluginDescrsByType()

GWENHYWFAR_API int GWEN_LoadPluginDescrsByType | ( | const char * | path,
|  | const char * | type,
|  | GWEN_PLUGIN_DESCRIPTION_LIST2 * | pdl )

Loads a list of plugins descriptions. When parsing the description files entries for the current language will be selected. The current language can be set via GWEN_I18N_SetLocale.

Parameters

  path | folder to search for XML files
  type | plugin type (property "type" of tag "plugin")
  pdl | plugin descriptions list2 to load descriptions to

References GWEN_LoadPluginDescrsByType(), and GWENHYWFAR_API.

Referenced by GWEN_LoadPluginDescrsByType().

## GWEN_PluginDescription_Attach()

GWENHYWFAR_API void GWEN_PluginDescription_Attach | ( | GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_Attach(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_Attach().

## GWEN_PluginDescription_dup()

GWENHYWFAR_API GWEN_PLUGIN_DESCRIPTION * GWEN_PluginDescription_dup | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_dup(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_dup().

## GWEN_PluginDescription_free()

GWENHYWFAR_API void GWEN_PluginDescription_free | ( | GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_free(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_free().

## GWEN_PluginDescription_fromXml()

GWENHYWFAR_API GWEN_PLUGIN_DESCRIPTION * GWEN_PluginDescription_fromXml | ( | GWEN_XMLNODE * | node | ) |

References GWEN_PluginDescription_fromXml(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_fromXml().

## GWEN_PluginDescription_GetAuthor()

GWENHYWFAR_API const char * GWEN_PluginDescription_GetAuthor | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_GetAuthor(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_GetAuthor().

## GWEN_PluginDescription_GetFileName()

GWENHYWFAR_API const char * GWEN_PluginDescription_GetFileName | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_GetFileName(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_GetFileName().

## GWEN_PluginDescription_GetLongDescr()

GWENHYWFAR_API const char * GWEN_PluginDescription_GetLongDescr | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_GetLongDescr(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_GetLongDescr().

## GWEN_PluginDescription_GetLongDescrByFormat()

GWENHYWFAR_API GWEN_DEPRECATED int GWEN_PluginDescription_GetLongDescrByFormat | ( | const GWEN_PLUGIN_DESCRIPTION * | pd,
|  | const char * | s,
|  | GWEN_BUFFER * | buf )

Seeks for a long description with the given format and the currently selected locale and appends it to the data in the given buffer.

The DESCR tag of the plugin description is expected to contain sub tags named TEXT with the property "FORMAT" describing the format and "LANG" containing the language of the element.

Currently supported format is "html".

Returns
  0 if ok, !=0 on error

Parameters

  pd | plugin description
  s | name of the format (e.g. html)
  buf | buffer to append the description to

## GWEN_PluginDescription_GetName()

GWENHYWFAR_API const char * GWEN_PluginDescription_GetName | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_GetName(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_GetName().

## GWEN_PluginDescription_GetPath()

GWENHYWFAR_API const char * GWEN_PluginDescription_GetPath | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_GetPath(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_GetPath().

## GWEN_PluginDescription_GetShortDescr()

GWENHYWFAR_API const char * GWEN_PluginDescription_GetShortDescr | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_GetShortDescr(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_GetShortDescr().

## GWEN_PluginDescription_GetType()

GWENHYWFAR_API const char * GWEN_PluginDescription_GetType | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_GetType(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_GetType().

## GWEN_PluginDescription_GetVersion()

GWENHYWFAR_API const char * GWEN_PluginDescription_GetVersion | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWEN_PluginDescription_GetVersion(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_GetVersion().

## GWEN_PluginDescription_GetXmlNode()

GWENHYWFAR_API GWEN_XMLNODE * GWEN_PluginDescription_GetXmlNode | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

Returns the XML node this description consists of (the "plugin" node). It may contain additional information used by programs. This function does not relinquish ownership of the returned pointer, so you MUST NOT free it. As soon as the description itself is destroyed this XML node will be, too. So you have to call GWEN_XMLNode_dup() if you want the XML node to survive the description.

References GWEN_PluginDescription_GetXmlNode(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_GetXmlNode().

## GWEN_PluginDescription_IsActive()

GWENHYWFAR_API int GWEN_PluginDescription_IsActive | ( | const GWEN_PLUGIN_DESCRIPTION * | pd | ) |

References GWENHYWFAR_API.

## GWEN_PluginDescription_List2_freeAll()

GWENHYWFAR_API void GWEN_PluginDescription_List2_freeAll | ( | GWEN_PLUGIN_DESCRIPTION_LIST2 * | pdl | ) |

References GWEN_PluginDescription_List2_freeAll(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_List2_freeAll().

## GWEN_PluginDescription_new()

GWENHYWFAR_API GWEN_PLUGIN_DESCRIPTION * GWEN_PluginDescription_new | ( | void |  | ) |

References GWEN_PluginDescription_new(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_new().

## GWEN_PluginDescription_SetAuthor()

GWENHYWFAR_API void GWEN_PluginDescription_SetAuthor | ( | GWEN_PLUGIN_DESCRIPTION * | pd,
|  | const char * | s )

References GWEN_PluginDescription_SetAuthor(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_SetAuthor().

## GWEN_PluginDescription_SetFileName()

GWENHYWFAR_API void GWEN_PluginDescription_SetFileName | ( | GWEN_PLUGIN_DESCRIPTION * | pd,
|  | const char * | s )

References GWEN_DEPRECATED, GWEN_PluginDescription_SetFileName(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_SetFileName().

## GWEN_PluginDescription_SetIsActive()

GWENHYWFAR_API void GWEN_PluginDescription_SetIsActive | ( | GWEN_PLUGIN_DESCRIPTION * | pd,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_PluginDescription_SetLongDescr()

GWENHYWFAR_API void GWEN_PluginDescription_SetLongDescr | ( | GWEN_PLUGIN_DESCRIPTION * | pd,
|  | const char * | s )

References GWEN_PluginDescription_SetLongDescr(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_SetLongDescr().

## GWEN_PluginDescription_SetName()

GWENHYWFAR_API void GWEN_PluginDescription_SetName | ( | GWEN_PLUGIN_DESCRIPTION * | pd,
|  | const char * | s )

References GWEN_PluginDescription_SetName(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_SetName().

## GWEN_PluginDescription_SetPath()

GWENHYWFAR_API void GWEN_PluginDescription_SetPath | ( | GWEN_PLUGIN_DESCRIPTION * | pd,
|  | const char * | s )

References GWEN_PluginDescription_SetPath(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_SetPath().

## GWEN_PluginDescription_SetShortDescr()

GWENHYWFAR_API void GWEN_PluginDescription_SetShortDescr | ( | GWEN_PLUGIN_DESCRIPTION * | pd,
|  | const char * | s )

References GWEN_PluginDescription_SetShortDescr(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_SetShortDescr().

## GWEN_PluginDescription_SetType()

GWENHYWFAR_API void GWEN_PluginDescription_SetType | ( | GWEN_PLUGIN_DESCRIPTION * | pd,
|  | const char * | s )

References GWEN_PluginDescription_SetType(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_SetType().

## GWEN_PluginDescription_SetVersion()

GWENHYWFAR_API void GWEN_PluginDescription_SetVersion | ( | GWEN_PLUGIN_DESCRIPTION * | pd,
|  | const char * | s )

References GWEN_PluginDescription_SetVersion(), and GWENHYWFAR_API.

Referenced by GWEN_PluginDescription_SetVersion().